Get a reconciliation
curl --request GET \
--url https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contract_id": "<string>",
"reconciliation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"due_diligence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"funding_mode": "<string>",
"funding_wallet_address": "<string>",
"funding_wallet_blockchain": "<string>",
"statement_status": "<string>",
"funding_status": "<string>",
"settlement_status": "<string>",
"reconciliation_status": "<string>",
"detected_period": "<string>",
"matched_summary": {
"gross_revenue_total": "<string>",
"artist_share_total": "<string>",
"matched_channel_count": "<string>",
"matched_isrc_count": "<string>",
"out_of_scope_isrc_count": "<string>"
},
"settlement_summary": {
"gross_revenue_total": "<string>",
"artist_gross_share_total": "<string>",
"recouped_amount": "<string>",
"artist_net_payout_total": "<string>",
"platform_percentage_fee_amount": "<string>",
"platform_fixed_fee_amount": "<string>",
"platform_fee_amount": "<string>",
"artist_final_payout_total": "<string>",
"remaining_unrecouped_balance": "<string>",
"funding_required_amount": "<string>"
},
"funding_event": {
"metadata": {
"contractId": "<string>",
"reconciliationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"expected_funding_amount": "<string>",
"expected_final_payout_amount": "<string>",
"received_amount": "<string>",
"source": "<string>",
"expected_net_payout_amount": "<string>",
"expected_recouped_amount": "<string>",
"attached_at": "2023-11-07T05:31:56Z",
"expected_platform_fee_amount": "<string>",
"currency": "<string>",
"expected_artist_share_total": "<string>",
"asset": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"settlement_transactions": [
{
"beneficiary_type": "<string>",
"amount_base_units": "<string>",
"isrc": "<string>",
"tx_hash": "<string>",
"to_address": "<string>",
"from_address": "<string>",
"explorer_url": "<string>",
"network": "<string>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"channels": [
{
"channel": "<string>",
"statement_format": "<string>",
"statement_status": "<string>",
"detected_period": "<string>",
"matched_isrcs": [
"<string>"
],
"out_of_scope_isrcs": [
"<string>"
],
"matched_summary": {
"gross_revenue_total": "<string>",
"artist_share_total": "<string>",
"matched_channel_count": "<string>",
"matched_isrc_count": "<string>",
"out_of_scope_isrc_count": "<string>"
},
"failure_reason": "<string>",
"failure_message": "<string>",
"statement_file_name": "<string>",
"statement_uploaded_at": "2023-11-07T05:31:56Z",
"uploads": [
{
"file_name": "<string>",
"statement_status": "<string>",
"uploaded_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"detected_period": "<string>",
"matched_isrcs": [
"<string>"
],
"out_of_scope_isrcs": [
"<string>"
],
"matched_summary": {
"gross_revenue_total": "<string>",
"artist_share_total": "<string>",
"matched_channel_count": "<string>",
"matched_isrc_count": "<string>",
"out_of_scope_isrc_count": "<string>"
},
"failure_reason": "<string>",
"failure_message": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}Reconciliation
Get a reconciliation
GET
/
contracts
/
{contract_id}
/
reconciliations
/
{reconciliation_id}
Get a reconciliation
curl --request GET \
--url https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.svrn.digital/contracts/{contract_id}/reconciliations/{reconciliation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contract_id": "<string>",
"reconciliation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"due_diligence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"funding_mode": "<string>",
"funding_wallet_address": "<string>",
"funding_wallet_blockchain": "<string>",
"statement_status": "<string>",
"funding_status": "<string>",
"settlement_status": "<string>",
"reconciliation_status": "<string>",
"detected_period": "<string>",
"matched_summary": {
"gross_revenue_total": "<string>",
"artist_share_total": "<string>",
"matched_channel_count": "<string>",
"matched_isrc_count": "<string>",
"out_of_scope_isrc_count": "<string>"
},
"settlement_summary": {
"gross_revenue_total": "<string>",
"artist_gross_share_total": "<string>",
"recouped_amount": "<string>",
"artist_net_payout_total": "<string>",
"platform_percentage_fee_amount": "<string>",
"platform_fixed_fee_amount": "<string>",
"platform_fee_amount": "<string>",
"artist_final_payout_total": "<string>",
"remaining_unrecouped_balance": "<string>",
"funding_required_amount": "<string>"
},
"funding_event": {
"metadata": {
"contractId": "<string>",
"reconciliationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"expected_funding_amount": "<string>",
"expected_final_payout_amount": "<string>",
"received_amount": "<string>",
"source": "<string>",
"expected_net_payout_amount": "<string>",
"expected_recouped_amount": "<string>",
"attached_at": "2023-11-07T05:31:56Z",
"expected_platform_fee_amount": "<string>",
"currency": "<string>",
"expected_artist_share_total": "<string>",
"asset": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"settlement_transactions": [
{
"beneficiary_type": "<string>",
"amount_base_units": "<string>",
"isrc": "<string>",
"tx_hash": "<string>",
"to_address": "<string>",
"from_address": "<string>",
"explorer_url": "<string>",
"network": "<string>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"channels": [
{
"channel": "<string>",
"statement_format": "<string>",
"statement_status": "<string>",
"detected_period": "<string>",
"matched_isrcs": [
"<string>"
],
"out_of_scope_isrcs": [
"<string>"
],
"matched_summary": {
"gross_revenue_total": "<string>",
"artist_share_total": "<string>",
"matched_channel_count": "<string>",
"matched_isrc_count": "<string>",
"out_of_scope_isrc_count": "<string>"
},
"failure_reason": "<string>",
"failure_message": "<string>",
"statement_file_name": "<string>",
"statement_uploaded_at": "2023-11-07T05:31:56Z",
"uploads": [
{
"file_name": "<string>",
"statement_status": "<string>",
"uploaded_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"detected_period": "<string>",
"matched_isrcs": [
"<string>"
],
"out_of_scope_isrcs": [
"<string>"
],
"matched_summary": {
"gross_revenue_total": "<string>",
"artist_share_total": "<string>",
"matched_channel_count": "<string>",
"matched_isrc_count": "<string>",
"out_of_scope_isrc_count": "<string>"
},
"failure_reason": "<string>",
"failure_message": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Current reconciliation state and settlement summaries.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes